Subject: bug#49295: mumi: mu-debug is unbound in mu-message-send

From: Ludovic Courtès <[email-masked]>
Date: Wed, 01 Sep 2021 23:46:16 +0200

Hi,

Ludovic Courtès <[email-masked]> skribis:

> Maxime Devos <[email-masked]> skribis:
>
>> ERROR: In procedure mu-message-send:
>> In procedure module-lookup: Unbound variable: mu-debug
>> processing
>>   job: mail:162506283631699
>>   options: ((from . "Maxime Devos") (subject . "[PATCH] isc-dhcp: Fix dhclient-script wrapper when cross-compiling.") (to . "[email-masked]") (text . "I forgot to note that I don't have an
>> aarch64-linux-gnu system to test this on. But I did verify the interpreter had the right architecture."))
>> Backtrace:
>>            3 (primitive-load "/gnu/store/j80xdprnwwcslyq8gnj34jmymid…")
>> In mumi/jobs.scm:
>>    147:19  2 (worker-loop _)
>>    114:18  1 (process-next #<procedure 7efc2c1e1c80 at mumi/jobs.scm…>)
>> In unknown file:
>>            0 (mu-message-send #<message "issues.guix.gnu.org@elephl…> …)
>> ---- mumi.mailer.log.zst
>> ERROR: In procedure mu-message-send:
>> In procedure module-lookup: Unbound variable: mu-debug
>
> When playing with the Guile interface of Mailutils, I remember you had
> to define that variable because ‘mu-message-send’ would look it up in
> the current module (argh!):
>
>   ;; This variable is looked up by 'mu-message-send', uh!
>   (define-public mu-debug 0)

I pushed a patch to fix this in Mailutils in commit
a5fb1f4eeb7563bd8519660c452a45afecd296c6, and also submitted it
upstream.

I guess we could try re-enabling the comments via the Web interface of
mumi?

Thanks,
Ludo’.